[MBDyn-users] Compilation error of mbdyn-1.7.2 on Ubuntu 16.04

Yuanchuan Liu yuanchuan.liu at strath.ac.uk
Wed Mar 29 12:53:38 CEST 2017


Dear all,

I recently tried to upgrade mbdyn-1.7.1 to the latest version of mbdyn-1.7.2 on my Ubuntu 16.04 (gcc 5.4.0) but had some compilation error, which reads:
gcc: error: unrecognized command line option '--export-dynamic'
It seems to be related to the missing -Wl compiler option. Please see attached the log files from configure and make commands for detailed information.

What makes it so strange to me is that I can install mbdyn-1.7.1 on the same PC using the same settings and same gcc compiler without any problem. In the meanwhile, I successfully installed mbdyn-1.7.2 on a cluster which has a much older compiler gcc 4.4.7. Based on these different trials, I was wondering if there has been any change to mbdyn 1.7.2 related to compilation since the last version, which might be not compatible with gcc 5.4.0 but is OK for older compilers. Any help is very much appreciated.

Best wishes,

Yuanchuan
-------------- next part --------------
A non-text attachment was scrubbed...
Name: logfiles.zip
Type: application/zip
Size: 5601 bytes
Desc: logfiles.zip
URL: <http://mail.mbdyn.org/pipermail/mbdyn-users/attachments/20170329/677ff777/attachment.zip>


More information about the MBDyn-users mailing list